Relesys API Docs

v1.4

https://api.uat.relesystest.net/api/v1.4

Reactions

Get Comment Reactions
GET /contentmodules/{moduleId}/content/{contentId}/comments/{commentId}/reactions
https://api.uat.relesystest.net/api/v1.4/contentmodules/{moduleId}/content/{contentId}/comments/{commentId}/reactions
Get a list of content comment reactions.
Default sort is by type in ascending order.

type - This field displays the type of the reaction. Currently, the available types to filter on are:
  • Like
  • Love
  • Haha
  • Wow
  • Sad
  • Angry

Please note: Comments and reactions must be enabled on the module for this endpoint to be called. Otherwise status code 400 - Bad Request will be returned.
Scopes: relesys.api, relesys.api:read, relesys.api.content, relesys.api.content:read
URL Path
moduleId string / guid required
contentId string / guid required
commentId string / guid required
Query String
creationDateTime datetimeoffset Filterable Sortable optional
id string / guid Filterable optional
type string Filterable Sortable optional
userId string / guid Filterable optional
sort string Comma separated sort order based on sortable properties optional
offset integer Offset value for use in pagination Default: 0 optional
limit integer Total objects to fetch (max 1000) Default: 200 optional
Responses
application/json
JSON
{"count":2,"data":[{"id":"984554ea-3d1c-4a3e-84e7-f0124c0ac403","userId":"7f5cc072-74e3-4ce6-a7e8-ee0b7a1a8779","type":"Angry","creationDateTime":"2026-10-26T05:21:09.5999331+00:00"},{"id":"e150d237-b4b2-4d1e-8042-6ddbdb14f680","userId":"05cf40fb-9dcc-4fb5-957b-2de8d1c75fb5","type":"Like","creationDateTime":"2026-10-26T06:21:09.5999331+00:00"}]}
object
  count integer      
  ⯈ data array[object]      
   creationDateTime datetimeoffset      
   id string / guid      
   type string      
   userId string / guid      
  nextUrl string      
  previousUrl string